QT = core bluetooth quick
SOURCES += qmlscanner.cpp

TARGET = qml_scanner
TEMPLATE = app

RESOURCES += \
    scanner.qrc

OTHER_FILES += \
    scanner.qml \
    Button.qml \
    default.png

android {
    message ("android")
    ANDROID_BUILD_DIR = $$OUT_PWD/android-build
    ANDROID_ARCH = armeabi-v7a
    ANDROID_EXTRA_LIBS += $$ANDROID_BUILD_DIR/libs/$$ANDROID_ARCH/libMyTestLib.so

    LIBS += \
        -L$$PWD
        -lMyTestLib

    contains(QMAKE_HOST.os, Darwin):{
        # Copy MyTest jar file to android build output folder

        jars.target = $$ANDROID_BUILD_DIR/libs/MyTest.jar

        jars.commands = \
        mkdir -p $$ANDROID_BUILD_DIR/libs $$escape_expand(\n\t) \
        $(COPY) $$PWD/MyTest.jar $$ANDROID_BUILD_DIR/libs $$escape_expand(\n\t)

        libs.target = $$ANDROID_BUILD_DIR/libs/$$ANDROID_ARCH/libMyTestLib.so

        libs.commands = \
        mkdir -p $$ANDROID_BUILD_DIR/libs/$$ANDROID_ARCH $$escape_expand(\n\t) \
        $(COPY) $$PWD/libMyTestLib.so $$ANDROID_BUILD_DIR/libs/$$ANDROID_ARCH $$escape_expand(\n\t)

        target.depends += jars libs

        QMAKE_EXTRA_TARGETS += jars libs

        ALL_DEPS += $$ANDROID_BUILD_DIR/libs/MyTest.jar $$ANDROID_BUILD_DIR/libs/$$ANDROID_ARCH/libMyTestLib.so
    }
}

